Skip to content

Get list of servers from Server Inventory

Request

Security
BearerAuth
Query
pageinteger, [ 1 .. 1000000 ]

Pagination page number.

Default:1
pageSizeinteger, [ 1 .. 100 ]

Pagination page size.

Default:10
curl -i -X GET \
  'https://api.docs.dashboard.webpros.com/_mock/apis/webpros-public-api/si/servers?page=1&pageSize=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
totalCountintegerrequired
Example:1
dataArray of objectsrequired
Response
{ "totalCount": 1, "data": [ { … } ] }